Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# LongSeqA.cpp File Reference

`#include "LongSeqC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Sequence_TypeCode_Static.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for LongSeqA.cpp:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
namespace | CORBA
## Functions
void | operator<<= (CORBA::Any &_tao_any, const CORBA::LongSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::LongSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::LongSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::LongSeq *&_tao_elem)
## Variables
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | CORBA_LongSeq_0 (CORBA::tk_sequence,&CORBA::_tc_long, 0U)
::CORBA::TypeCode_ptr const | tc_CORBA_LongSeq_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_LongSeq (CORBA::tk_alias,"IDL:omg.org/CORBA/LongSeq:1.0","LongSeq",&TAO::TypeCode::tc_CORBA_LongSeq_0)
::CORBA::TypeCode_ptr const | _tc_LongSeq

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::LongSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::LongSeq & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::LongSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::LongSeq *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_LongSeq(CORBA::tk_alias,"IDL:omg.org/CORBA/LongSeq:1.0","LongSeq",&TAO::TypeCode::tc_CORBA_LongSeq_0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_LongSeq

| Initial value:
        &_tao_tc_CORBA_LongSeq

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::CORBA_LongSeq_0(CORBA::tk_sequence,&CORBA::_tc_long, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_CORBA_LongSeq_0

| Initial value:
          &CORBA_LongSeq_0